Module java.base
Package java.security

# Class URIParameter

java.lang.Object
java.security.URIParameter

All Implemented Interfaces:
  `Policy.Parameters`, `Configuration.Parameters`

    public class URIParameter
    extends Object
    implements Policy.Parameters, Configuration.Parameters

A parameter that contains a URI pointing to data intended for a PolicySpi or ConfigurationSpi implementation.

Since:
  1.6

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`URIParameter​(URI uri)` | Constructs a URIParameter with the URI pointing to data intended for an SPI implementation.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`URI` | `getURI()` | Returns the URI.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URIParameter

public URIParameter​(URI uri)
Constructs a URIParameter with the URI pointing to data intended for an SPI implementation.

Parameters:
  `uri` - the URI pointing to the data.
Throws:
  `NullPointerException` - if the specified URI is null.

## Method Details

### getURI

public URI getURI()
Returns the URI.

Returns:
  uri the URI.